// クライアント上でのみ実行される
if (Meteor.isClient) {
    // テンプレート内のイベント
    Template.echo.events = {
        // テキストフィールドに入力が発生したら
        'input #msg': function(e) {
            // (1) セッションに値を格納
            Session.set('msg', e.target.value);
        }
    };
    // テンプレート変数result
    Template.echo.result = function() {
        // (2) セッションから値を取得する
        return Session.get('msg');
    };
    // (3) セッション内の値が変化したら自動実行される
    Meteor.autorun(function() {
        console.log('セッション内の値が変化しました:' + Session.get('msg'));
    });
}
